Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedger.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -228,12 +228,12 @@
                 strcmd += string.Format(", {0}", work.ConstructionPeriod);              // 事業期
                 strcmd += string.Format(", {0}", work.CreatorCode);                     // 作成者コード
                 strcmd += string.Format(",'{0}'", work.CreatorName);                    // 作成者名
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.CreateDate.ToShortDateString());           // 作成日
                 strcmd += string.Format(", {0}", work.ConstructionTimes);               // 工期（単位・月）
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.ConstructionStart.ToShortDateString());    // 契約工期開始
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                         work.ConstructionEnd.ToShortDateString());      // 契約工期完了
 
                 strcmd += string.Format(",{0}", work.OrdersDecisionPrice);              // 税抜受注決定金額
@@ -248,8 +248,8 @@
                 strcmd += string.Format(",{0}", work.IntegrationFlg);                   // 受注金額積算フラグ
 
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -312,12 +312,12 @@
                 strcmd += string.Format(", ConstructionPeriod = {0}", data.ConstructionPeriod);     // 事業期
                 strcmd += string.Format(", CreatorCode = {0}", data.CreatorCode);                   // 作成者コード
                 strcmd += string.Format(", CreatorName = '{0}'", data.CreatorName);                 // 作成者名
-                strcmd += string.Format(", CreateDate = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.CreateDate.ToShortDateString());       // 作成日
                 strcmd += string.Format(", ConstructionTimes = {0}", data.ConstructionTimes);       // 工期（単位・月）
-                strcmd += string.Format(", ConstructionStart = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.ConstructionStart.ToShortDateString());// 契約工期開始
-                strcmd += string.Format(", ConstructionEnd = DATE_FORMAT('{0}','%Y/%m/%d')",
+                strcmd += string.Format(", ConstructionEnd = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                         data.ConstructionEnd.ToShortDateString());  // 契約工期完了
 
                 strcmd += string.Format(", OrdersDecisionPrice = {0}", data.OrdersDecisionPrice);   // 税抜受注決定金額
@@ -331,7 +331,7 @@
                 strcmd += string.Format(", ComplateFlg = {0}", data.ComplateFlg);                   // 入力完了フラグ
                 strcmd += string.Format(", IntegrationFlg = {0}", data.IntegrationFlg);             // 受注金額積算フラグ
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -407,16 +407,16 @@
                         strcmd += string.Format(" CreatorName = '{0}'", value.ToString());
                         break;
                     case (int)DataColumn.CreateDate:	            // 作成日
-                        strcmd += string.Format(" CreateDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)DataColumn.ConstructionTimes:         // 工期（単位・月）
                         strcmd += string.Format(" ConstructionTimes = {0}", ((int)value).ToString());
                         break;
                     case (int)DataColumn.ConstructionStart:         // 契約工期開始
-                        strcmd += string.Format(" ConstructionStart = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" ConstructionStart = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)DataColumn.ConstructionEnd:           // 契約工期完了
-                        strcmd += string.Format(" ConstructionEnd = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" ConstructionEnd = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)DataColumn.OrdersDecisionPrice:       // 税抜受注決定金額
                         strcmd += string.Format(" OrdersDecisionPrice = {0}", ((int)value).ToString());
@@ -452,7 +452,7 @@
                         break;
                 }
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += CreatePrimarykeyString(ConstructionCode);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -497,7 +497,7 @@
                 wrk.GrossProfit = double.Parse(objwrk[(int)DataColumn.GrossProfit].ToString());                   // 粗利
                 wrk.Allowance = double.Parse(objwrk[(int)DataColumn.Allowance].ToString());                       // 給与
                 wrk.NetProfit = double.Parse(objwrk[(int)DataColumn.NetProfit].ToString());                       // 純利益
-                wrk.ComplateFlg = double.Parse(objwrk[(int)DataColumn.ComplateFlg].ToString());                   // 入力完了フラグ
+                wrk.ComplateFlg = int.Parse(objwrk[(int)DataColumn.ComplateFlg].ToString());                   // 入力完了フラグ
                 wrk.IntegrationFlg = int.Parse(objwrk[(int)DataColumn.IntegrationFlg].ToString());                // 受注金額積算フラグ
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerDetail.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -54,6 +54,10 @@
             SalaryFlg,              // 給与振分区分
             SalaryDays,             // 給与振分日数
             OperatingFlg,           // 担当中フラグ
+            SourceCode,             // 元工事番号
+            JoinTitleFlg,           // 工事名称タイトル
+            SalaryOnRegist,         // 登録時月額給与
+            PurchaseOrderFlg,       // 注文書発行フラグ
 
             EntryDate,
             UpdateDate,
@@ -100,6 +104,10 @@
             strcmd += ", SalaryFlg";                // 給与振分区分
             strcmd += ", SalaryDays";               // 給与振分日数
             strcmd += ", OperatingFlg";             // 担当中フラグ
+            strcmd += ", SourceCode";               // 元工事番号
+            strcmd += ", JoinTitleFlg";             // 工事名称タイトル
+            strcmd += ", SalaryOnRegist";           // 登録時月額給与
+            strcmd += ", PurchaseOrderFlg";         // 注文書発行フラグ
 
             strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
@@ -215,6 +223,10 @@
                 strcmd += ", SalaryFlg";                // 給与振分区分
                 strcmd += ", SalaryDays";               // 給与振分日数
                 strcmd += ", OperatingFlg";             // 担当中フラグ
+                strcmd += ", SourceCode";               // 元工事番号
+                strcmd += ", JoinTitleFlg";             // 工事名称タイトル
+                strcmd += ", SalaryOnRegist";           // 登録時月額給与
+                strcmd += ", PurchaseOrderFlg";         // 注文書発行フラグ
 
                 strcmd += ", EntryDate";
                 strcmd += ", UpdateDate)";
@@ -244,9 +256,13 @@
                 strcmd += string.Format(", {0}", work.SalaryFlg);               // 給与振分区分
                 strcmd += string.Format(", {0}", work.SalaryDays);              // 給与振分日数
                 strcmd += string.Format(", {0}", work.OperatingFlg);            // 担当中フラグ
+                strcmd += string.Format(", {0}", work.SourceCode);              // 元工事番号
+                strcmd += string.Format(", {0}", work.JoinTitleFlg);            // 工事名称タイトル
+                strcmd += string.Format(", {0}", work.SalaryOnRegist);          // 登録時月額給与
+                strcmd += string.Format(", {0}", work.PurchaseOrderFlg);        // 注文書発行フラグ
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -326,8 +342,12 @@
                 strcmd += string.Format(", SalaryFlg = {0}", data.SalaryFlg);                       // 給与振分区分
                 strcmd += string.Format(", SalaryDays = {0}", data.SalaryDays);                     // 給与振分日数
                 strcmd += string.Format(", OperatingFlg = {0}", data.OperatingFlg);                 // 担当中フラグ
+                strcmd += string.Format(", SourceCode = {0}", data.SourceCode);                     // 元工事番号
+                strcmd += string.Format(", JoinTitleFlg = {0}", data.JoinTitleFlg);                 // 工事名称タイトルフラグ
+                strcmd += string.Format(", SalaryOnRegist = {0}", data.SalaryOnRegist);             // 登録時月額給与
+                strcmd += string.Format(", PurchaseOrderFlg = {0}", data.PurchaseOrderFlg);         // 注文書発行フラグ
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -403,6 +423,10 @@
                 wrk.SalaryFlg = int.Parse(objwrk[(int)DataColumn.SalaryFlg].ToString());                        // 給与振分区分
                 wrk.SalaryDays = int.Parse(objwrk[(int)DataColumn.SalaryDays].ToString());                      // 給与振分日数
                 wrk.OperatingFlg = int.Parse(objwrk[(int)DataColumn.OperatingFlg].ToString());                  // 担当中フラグ
+                wrk.SourceCode = int.Parse(objwrk[(int)DataColumn.SourceCode].ToString());                      // 元工事番号
+                wrk.JoinTitleFlg = int.Parse(objwrk[(int)DataColumn.JoinTitleFlg].ToString());                  // 工事名称タイトルフラグ
+                wrk.SalaryOnRegist = double.Parse(objwrk[(int)DataColumn.SalaryOnRegist].ToString());           // 登録時月額給与
+                wrk.PurchaseOrderFlg = int.Parse(objwrk[(int)DataColumn.PurchaseOrderFlg].ToString());          // 注文書発行フラグ
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
                 wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
@@ -409,7 +433,7 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
             }
             catch (Exception ex)
             {
@@ -418,18 +442,43 @@
         }
         #endregion
 
+        #region 1項目の更新を行う（キー指定）
+        /// <summary>
+        /// 1項目の更新を行う（キー指定）
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, int GroupCount = 0, int LineCount = 0, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionLedgerDetail";
+
+                strcmd += " SET";
+
+                UpdateFeildSQL(FeildNo, value, ref strcmd);
+                
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode, GroupCount, LineCount);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 1項目の更新を行う
         /// <summary>
         /// 1項目の更新を行う
         /// </summary>
-        /// <param name="ConstructionCode"></param>
-        /// <param name="FeildNo"></param>
-        /// <param name="value"></param>
-        /// <param name="GroupCount"></param>
-        /// <param name="LineCount"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
-        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, int GroupCount = 0, int LineCount = 0, bool bConnect = true)
+        public bool UpdateFeild(string strWhere, int FeildNo, object value, bool bConnect = true)
         {
             string strcmd = "";
             try
@@ -437,6 +486,32 @@
                 strcmd = "UPDATE ConstructionLedgerDetail";
 
                 strcmd += " SET";
+                
+                UpdateFeildSQL(FeildNo, value, ref strcmd);
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += strWhere;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新SQL作成処理
+        /// <summary>
+        /// 1項目更新SQL作成処理
+        /// </summary>
+        public void UpdateFeildSQL(int FeildNo, object value, ref string strcmd)
+        {
+            try
+            {
                 switch (FeildNo)
                 {
                     case (int)DataColumn.ConstructionCode:	    // 工事番号
@@ -499,21 +574,26 @@
                     case (int)DataColumn.OperatingFlg:          // 担当中フラグ
                         strcmd += string.Format(" OperatingFlg = {0}", ((int)value).ToString());
                         break;
+                    case (int)DataColumn.SourceCode:            // 元工事番号
+                        strcmd += string.Format(" SourceCode = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.JoinTitleFlg:          // 工事名称タイトルフラグ
+                        strcmd += string.Format(" JoinTitleFlg = {0}", ((int)value).ToString());
+                        break;
+                    case (int)DataColumn.SalaryOnRegist:        // 登録時月額給与
+                        strcmd += string.Format(" SalaryOnRegist = {0}", ((double)value).ToString());
+                        break;
+                    case (int)DataColumn.PurchaseOrderFlg:      // 注文書発行フラグ
+                        strcmd += string.Format(" PurchaseOrderFlg = {0}", ((int)value).ToString());
+                        break;
+
                     default:
                         break;
                 }
-                
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += CreatePrimarykeyString(ConstructionCode, GroupCount, LineCount);
-
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
-
-                return true;
             }
             catch (MySqlException myex)
             {
                 logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
-                return false;
             }
         }
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionLedgerExcute.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -33,14 +33,31 @@
         /// </summary>
         public enum TableColumn
         {
-            ConstructionCode = 0,	// 工事番号
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode = 0,
+            /// <summary>
+            /// グループ番号
+            /// </summary>
+            GroupCount,
+            /// <summary>
+            /// 行番号
+            /// </summary>
+            LineCount,
+            /// <summary>
+            /// 列番号
+            /// </summary>
+            ColumnCount,
+            /// <summary>
+            /// 支払金額
+            /// </summary>
+            PaymentAmount,
+            /// <summary>
+            /// 対象年月
+            /// </summary>
+            TargetMonth,
 
-            GroupCount,             // グループ番号
-            LineCount,              // 行番号
-            ColumnCount,            // 列番号
-            PaymentAmount,          // 支払金額
-            TargetMonth,            // 対象年月
-
             EntryDate,
             UpdateDate,
         }
@@ -191,10 +208,10 @@
                 strcmd += string.Format(", {0}", work.ColumnCount);             // 列番号
 
                 strcmd += string.Format(", {0}", work.PaymentAmount);           // 支払金額
-                strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')",work.TargetMonth.ToShortDateString());  // 対象年月
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",work.TargetMonth.ToShortDateString());  // 対象年月
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -256,9 +273,9 @@
                 strcmd += string.Format(", LineCount = {0}", data.LineCount);                       // 行番号
                 strcmd += string.Format(", ColumnCount = {0}", data.ColumnCount);                   // 列番号
                 strcmd += string.Format(", PaymentAmount = {0}", data.PaymentAmount);               // 支払金額
-                strcmd += string.Format(", TargetMonth = DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetMonth.ToShortDateString());   // 対象年月
+                strcmd += string.Format(", TargetMonth = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetMonth.ToShortDateString());   // 対象年月
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -300,6 +317,62 @@
         }
         #endregion
 
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <returns></returns>
+        public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE ConstructionLedgerExcute";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    // 工事番号
+                    case (int)TableColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        break;
+                    // グループ番号
+                    case (int)TableColumn.GroupCount:
+                        strcmd += string.Format(" GroupCount = {0}", ((int)value).ToString());
+                        break;
+                    // 行番号
+                    case (int)TableColumn.LineCount:
+                        strcmd += string.Format(" LineCount = {0}", ((int)value).ToString());
+                        break;
+                    // 列番号
+                    case (int)TableColumn.ColumnCount:
+                        strcmd += string.Format(" ColumnCount = {0}", ((int)value).ToString());
+                        break;
+                    // 支払金額
+                    case (int)TableColumn.PaymentAmount:
+                        strcmd += string.Format(" PaymentAmount = {0}", ((double)value).ToString());
+                        break;
+                    // 対象年月
+                    case (int)TableColumn.TargetMonth:
+                        strcmd += string.Format(" TargetMonth = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(ConstructionCode);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
         #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
@@ -379,13 +452,13 @@
                         break;
                     // 対象年月
                     case (int)TableColumn.TargetMonth:
-                        strcmd += string.Format(" TargetMonth = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" TargetMonth = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     default:
                         break;
                 }
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += CreatePrimarykeyString(ConstructionCode, GroupCount, LineCount, ColumnCount);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
